Author Topic: [Solved] pluto-generic-serial-device failing to install  (Read 1072 times)

etNHGfU8

  • Regular Poster
  • **
  • Posts: 47
    • View Profile
[Solved] pluto-generic-serial-device failing to install
« on: November 04, 2010, 02:16:41 pm »
Per http://forum.linuxmce.org/index.php?topic=9729.msg75308#msg75308, I have been trying to get my LG TV to PNP with linuxMCE and after further searching I found the following entry in /var/log/pluto/Spawn_cdc_4016.log: "Problem installing pluto-generic-serial-device (100)."

I attempted to perform the installation from the command line but it failed as well.
Code: [Select]
tap@dcerouter:/var/log$ sudo apt-get install pluto-generic-serial-device
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  libtcltk-ruby1.8 tcl8.4 tk8.4
Suggested packages:
  tclreadline
The following NEW packages will be installed:
  libtcltk-ruby1.8 pluto-generic-serial-device tcl8.4 tk8.4
0 upgraded, 4 newly installed, 0 to remove and 17 not upgraded.
Need to get 2750kB/6882kB of archives.
After this operation, 24.6MB of additional disk space will be used.
Do you want to continue [Y/n]?
WARNING: The following packages cannot be authenticated!
  tcl8.4 tk8.4 libtcltk-ruby1.8 pluto-generic-serial-device
Authentication warning overridden.
Err http://us.archive.ubuntu.com intrepid/main tk8.4 8.4.19-1
  404 Not Found [IP: 91.189.92.172 80]
Err http://us.archive.ubuntu.com intrepid-updates/universe libtcltk-ruby1.8 1.8.7.72-1ubuntu0.2
  404 Not Found [IP: 91.189.92.172 80]
Err http://archive.ubuntu.com intrepid/main tk8.4 8.4.19-1
  404 Not Found [IP: 91.189.88.45 80]
Err http://security.ubuntu.com intrepid-security/universe libtcltk-ruby1.8 1.8.7.72-1ubuntu0.2
  404 Not Found [IP: 91.189.92.166 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/pool/main/t/tk8.4/tk8.4_8.4.19-1_i386.deb  404 Not Found [IP: 91.189.88.45 80]
Failed to fetch http://security.ubuntu.com/ubuntu/pool/universe/r/ruby1.8/libtcltk-ruby1.8_1.8.7.72-1ubuntu0.2_i386.deb  404 Not Found [IP: 91.189.92.166 80]
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
tap@dcerouter:/var/log$

Are the packages still available? If so where can they be found?

- Tom
« Last Edit: November 05, 2010, 02:33:06 pm by etNHGfU8 »

pigdog

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1005
    • View Profile
Re: pluto-generic-serial-device failing to install
« Reply #1 on: November 04, 2010, 02:39:02 pm »
Hi,

Change /etc/apt/sources.list

from .archive & .security

to .old-releases

Cheers

etNHGfU8

  • Regular Poster
  • **
  • Posts: 47
    • View Profile
Re: pluto-generic-serial-device failing to install
« Reply #2 on: November 04, 2010, 11:10:10 pm »
I tried your suggestion but still no success. I have traversed to the various sites that claim to have the file but when I dig down through the directories the file just doesn't exist.

Code: [Select]
root@dcerouter:/etc/apt# apt-get install pluto-generic-serial-device
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  libtcltk-ruby1.8
The following NEW packages will be installed:
  libtcltk-ruby1.8 pluto-generic-serial-device
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 1731kB/4685kB of archives.
After this operation, 18.6MB of additional disk space will be used.
Do you want to continue [Y/n]?
WARNING: The following packages cannot be authenticated!
  libtcltk-ruby1.8 pluto-generic-serial-device
Authentication warning overridden.
Err http://old-releases.ubuntu.com intrepid-updates/universe libtcltk-ruby1.8 1.8.7.72-1ubuntu0.2
  404 Not Found
Err http://old-releases.ubuntu.com intrepid-security/universe libtcltk-ruby1.8 1.8.7.72-1ubuntu0.2
  404 Not Found
Failed to fetch http://old-releases.ubuntu.com/ubuntu/pool/universe/r/ruby1.8/libtcltk-ruby1.8_1.8.7.72-1ubuntu0.2_i386.deb  404 Not Found
E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
root@dcerouter:/etc/apt#

Any other suggestions?

pigdog

  • NEEDS to work for LinuxMCE
  • ***
  • Posts: 1005
    • View Profile
Re: pluto-generic-serial-device failing to install
« Reply #3 on: November 05, 2010, 02:06:52 am »
Hi,

I decided the other day to download and upgrade to the Nov. 1 snapshot and got caught with intrepid being moth-balled.

So when I did apt-get update everything failed 404 error.

So hunting revealed old-releases with no country identifiers prefixes - i.e. us, uk, ca,cn, etc.

Have not seen your ruby file error.  I will poke around and see if libtcltj-ruby1.8 etc is downloaded.

At present haven't much time to play but I will look into libtcltk over the next few days if someone else doesn't step forward.

Cheers

etNHGfU8

  • Regular Poster
  • **
  • Posts: 47
    • View Profile
Re: pluto-generic-serial-device failing to install
« Reply #4 on: November 05, 2010, 02:32:19 pm »
I managed to get it to install.

I had to comment out the intrepid-updates and intrepid-security lines in /etc/apt/source.list.

Code: [Select]
root@dcerouter:~# apt-get install pluto-generic-serial-device
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  libtcltk-ruby1.8
The following NEW packages will be installed:
  libtcltk-ruby1.8 pluto-generic-serial-device
0 upgraded, 2 newly installed, 0 to remove and 107 not upgraded.
Need to get 1731kB/4685kB of archives.
After this operation, 18.6MB of additional disk space will be used.
Do you want to continue [Y/n]?
WARNING: The following packages cannot be authenticated!
  libtcltk-ruby1.8 pluto-generic-serial-device
Authentication warning overridden.
Get:1 http://old-releases.ubuntu.com intrepid/universe libtcltk-ruby1.8 1.8.7.72-1 [1731kB]
Fetched 1731kB in 11s (153kB/s)
Selecting previously deselected package libtcltk-ruby1.8.
(Reading database ... 142847 files and directories currently installed.)
Unpacking libtcltk-ruby1.8 (from .../libtcltk-ruby1.8_1.8.7.72-1_i386.deb) ...
Setting up libtcltk-ruby1.8 (1.8.7.72-1) ...
Selecting previously deselected package pluto-generic-serial-device.
(Reading database ... 143934 files and directories currently installed.)
Unpacking pluto-generic-serial-device (from .../pluto-generic-serial-device_2.0.0.44.10091623289_i386.deb) ...
Setting up pluto-generic-serial-device (2.0.0.44.10091623289) ...
root@dcerouter:~#

I'll see if I can find someone to clean up the database/files providing the intrepid-updates and intrepid-security stuff.